Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs	(revision 51)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs	(revision 52)
@@ -32,14 +32,14 @@
         #endregion
 
         #region 定数
-        #region グリッド表示カラム
+        #region 出勤日報グリッドカラム
         /// <summary>
-        /// グリッドカラム
+        /// 出勤日報グリッドカラム
         /// </summary>
-        private enum GridColumn
+        private enum GridColumn01
         {
             DispDay = 0,
-            Day,
+            AttendanceDate,
             WeekString,
             ConstructionCode,
             ConstructionName,
@@ -48,6 +48,25 @@
         }
         #endregion
 
+        #region 通勤交通費グリッドカラム
+        /// <summary>
+        /// 通勤交通費グリッドカラム
+        /// </summary>
+        private enum GridColumn02
+        {
+            DispDay = 0,
+            AttendanceDate,
+            StartNumber,
+            CompNumber,
+            TotalDistance,
+            OfficeGo,
+            OfficeOut,
+            TrancePayGo,
+            TrancePayOut,
+            WareHouse,
+        }
+        #endregion
+
         #region 表示コントロール
         /// <summary>
         /// 表示コントロール
@@ -82,13 +101,31 @@
             /// 残業時間
             /// </summary>
             Overtime,
+
+            KmTodayTotal,
+            OfficeTodayCnt01,
+            OfficeTodayCnt02,
+            TrancePayCnt01,
+            TrancePayCnt02,
+            WarehouseTodayCnt01,
+            KmMonthTotal01,
+            KmMonthTotal02,
+            KmMonthTotal03,
+            UnitPrice01,
+            UnitPrice02,
+            UnitPrice03,
+            UnitPrice04,
+            MonthCnt01,
+            MonthCnt02,
+            MonthCnt03,
+            MonthTotal01,
+            MonthTotal02,
+            MonthTotal03,
+            MonthTotal04,
+            MonthTotal05,
         }
         #endregion
 
-        /// ラベルコントロール保持配列
-        /// </summary>
-        private Control[] m_DspControl;
-
         #endregion
 
         #region 変数
@@ -122,6 +159,42 @@
         /// </summary>
         private bool m_EditLock = false;
 
+        /// ラベルコントロール保持配列
+        /// </summary>
+        private Control[] m_DspControl;
+
+        /// <summary>
+        /// 月最終日
+        /// </summary>
+        private int m_LastDays = 0;
+
+        /// <summary>
+        /// 休日数
+        /// </summary>
+        private int m_HolidayCount = 0;
+
+        /// <summary>
+        /// ガソリン代（1キロ）
+        /// </summary>
+        private int m_FuelCost = 0;
+        /// <summary>
+        /// 事務所距離
+        /// </summary>
+        private double m_MyOfficeDistance = 0;
+        /// <summary>
+        /// 資材置場距離
+        /// </summary>
+        private double m_MyWareHouseDistance = 0;
+        /// <summary>
+        /// 通勤交通費（公認分）
+        /// </summary>
+        private int m_MyTransportCosts = 0;
+
+        /// <summary>
+        /// 作成状態確認画面
+        /// </summary>
+        private FrmDRWorkList m_frmDRWorkList = null;
+
         #endregion
 
         #region プロパティ
@@ -174,6 +247,9 @@
         {
             try
             {
+                // 個人データ取得
+                SetAttendanceCosts();
+
                 // 表示オブジェクトの取得
                 SetDisplayObject();
 
@@ -189,9 +265,18 @@
                 // コンボボックス初期表示
                 InitCombBox();
 
+                // ログイン者のセット
+                InitDepPersonCode();
+
                 // 初期表示
                 InitDataLoad();
 
+                // 参照時は変更できない
+                if (m_EditLock)
+                {
+                    SeeModeLock();
+                }
+
                 // 初期表示フラグOFF
                 m_bInitFlg = false;
             }
@@ -202,6 +287,73 @@
         }
         #endregion
 
+        #region データ登録ボタン押下
+        /// <summary>
+        /// データ登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            // データ登録処理
+            if (!DataEntryProcess()) return;
+
+            CommonMotions.EntryEndMessage("交通費・購入品データ");
+
+            m_bChengeAns = false;
+            bool bSelFlg = false;
+
+            int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;
+            if (CommonMotions.LoginUserSecurity.SecRank == User) bSelFlg = true;
+
+            // 一般ユーザーは登録後終了する
+            if (bSelFlg)
+            {
+                this.Close();
+            }
+            else
+            {
+                // 対象がコンボボックスデータにあればセットする
+                if (SearchDepartmentCombBoxItem(CommonMotions.LoginUserData.DepartmentCode))
+                    cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                if (SearchPersonCombBoxItem(CommonMotions.LoginUserData.PersonCode))
+                    cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+            }
+        }
+        #endregion
+
+        #region データ削除ボタン押下
+        /// <summary>
+        /// データ削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataDelete_Click(object sender, EventArgs e)
+        {
+            // データ削除処理
+            if (!RemoveGridData()) return;
+
+            CommonMotions.RemoveEndMessage("出勤日報データ");
+
+            m_bChengeAns = false;
+            bool bSelFlg = false;
+
+            int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;
+            if (CommonMotions.LoginUserSecurity.SecRank == User) bSelFlg = true;
+
+            // 一般ユーザーは登録後終了する
+            if (bSelFlg)
+            {
+                this.Close();
+            }
+            else
+            {
+                cmbDepartment.SelectedIndex = -1;
+                cmbConstructionPerson.SelectedIndex = -1;
+            }
+        }
+        #endregion
+
         #region 終了ボタンクリック
         /// <summary>
         /// 終了ボタンクリック
@@ -233,6 +385,9 @@
                         return;
                     }
                 }
+                // 作成確認一覧が表示されていればクローズする
+                if (m_frmDRWorkList != null) m_frmDRWorkList.Close();
+
                 // 終了ボタンがONならば前プロセスに戻る
                 if (m_CloseingProcessOn) ClsExcute.BackProcess();
             }
@@ -265,7 +420,6 @@
         /// <param name="e"></param>
         private void btnLineDel_Click(object sender, EventArgs e)
         {
-
             // 行削除処理を行った
             DeleteLineData();
             m_bChengeAns = true;
@@ -272,17 +426,16 @@
         }
         #endregion
 
-        #region 営業期コンボボックス変更
+        int cmbDepartment_index = -1;
+        #region 部署コンボボックス変更前取得
         /// <summary>
-        /// 営業期変更
+        /// 部署コンボボックス変更前取得
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void numUDConstPro_ValueChanged(object sender, EventArgs e)
+        private void cmbDepartment_Enter(object sender, EventArgs e)
         {
-            if (m_bInitFlg) return;
-            // データ表示
-            InitDispData();
+            cmbDepartment_index = cmbDepartment.SelectedIndex;
         }
         #endregion
 
@@ -296,17 +449,45 @@
         {
             if (m_bInitFlg) return;
 
-            // 担当者コンボボックス変更
-            //SetcombBoxPerson();
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに部署を変更しますか？。"
+                                , "部署変更確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    cmbDepartment.SelectedIndex = cmbDepartment_index;
+                    return;
+                }
+            }
 
+            // 担当者コンボボックスをセットする
+            SetcombBoxPerson();
+
             // データ表示
-            InitDispData();
+            InitDispData01();
+            InitDispData02();
+
+            // データ変更フラグクリア
+            m_bChengeAns = false;
         }
         #endregion
 
+        int cmbConstructionPerson_index = -1;
+        #region 担当者コンボボックス変更前取得
+        /// <summary>
+        /// 担当者コンボボックス変更前取得
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbConstructionPerson_Enter(object sender, EventArgs e)
+        {
+            cmbConstructionPerson_index = cmbConstructionPerson.SelectedIndex;
+        }
+        #endregion
+
         #region 担当者コンボボックス変更
         /// <summary>
-        /// 担当者変更
+        /// 担当者コンボボックス変更
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
@@ -314,12 +495,401 @@
         {
             if (m_bInitFlg) return;
 
-            // 担当者選択時部署選択を設定する
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに担当者を変更しますか？。"
+                                , "担当者変更確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    cmbConstructionPerson.SelectedIndex = cmbConstructionPerson_index;
+                    return;
+                }
+            }
             SetPerosonToDepartment();
 
             // データ表示
-            InitDispData();
+            InitDispData01();
+            InitDispData02();
+
+            // データ変更フラグクリア
+            m_bChengeAns = false;
         }
         #endregion
+
+        int comboBox1_index = -1;
+        #region 対象年月コンボボックス変更前取得
+        /// <summary>
+        /// 対象年月コンボボックス変更前取得
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void comboBox1_Enter(object sender, EventArgs e)
+        {
+            comboBox1_index = comboBox1.SelectedIndex;
+        }
+        #endregion
+
+        #region 対象年月コンボボックス変更
+        /// <summary>
+        /// 対象年月コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlg) return;
+
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに年月を変更しますか？。"
+                                , "対象年月変更確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    comboBox1.SelectedIndex = comboBox1_index;
+                    return;
+                }
+            }
+
+            // データ表示
+            InitDispData01();
+            InitDispData02();
+
+            // データ変更フラグクリア
+            m_bChengeAns = false;
+        }
+        #endregion
+
+        #region 出勤グリッドセル値の変更
+        /// <summary>
+        /// 出勤グリッドセル値の変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvAllDisplay_CellValueChanged(object sender, DataGridViewCellEventArgs e)
+        {
+            // 初期表示は処理しない
+            if (GetConstructionPersonCode() == 0) return;
+
+            // 参照時は処理しない
+            if (m_EditLock) return;
+
+            // 出勤日数・残業時間セット
+            SetWorkDaysAndOverTimes();
+
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        #region 日報グリッドセル入力前処理
+        /// <summary>
+        /// 日報グリッドセル入力前処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvAllDisplay_CellEnter(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
+                // データグリッドがActiveでなければ処理しない
+                if (ActiveControl == null) return;
+                if (!ActiveControl.GetType().Equals(typeof(DataGridViewEX))) return;
+
+                DataGridView dgv = (DataGridView)sender;
+
+                // 読込専用セルは処理しない
+                if (dgv.CurrentCell.ReadOnly) return;
+
+                //IMEのモードを変更する
+                switch (e.ColumnIndex)
+                {
+                    case (int)GridColumn01.Comment:
+                        dgv.ImeMode = ImeMode.On;
+                        break;
+                    default:
+                        dgv.ImeMode = ImeMode.Disable;
+                        break;
+                }
+                // セル内容選択
+                dgv.BeginEdit(true);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 日報グリッドセル入力後処理
+        /// <summary>
+        /// 日報グリッドセル入力後処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvAllDisplay_CellValidated(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
+                DataGridView dgv = (DataGridView)sender;
+                DataGridViewCell CurCell = dgv.CurrentCell;
+                switch (e.ColumnIndex)
+                {
+                    case (int)GridColumn01.OverTimes:
+                        // 残業時間
+                        CurCell.Value = CommonMotions.cnvDouble(CurCell.Value).ToString("0.0");
+                        break;
+                    default:
+                        break;
+                }
+                // 出勤日数・残業時間セット
+                SetWorkDaysAndOverTimes();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 日報グリッドセルのダブルクリック
+        /// <summary>
+        /// 日報グリッドセルのダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvAllDisplay_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                if (GetConstructionPersonCode() == 0) return;
+
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
+                switch (e.ColumnIndex)
+                {
+                    case (int)GridColumn01.ConstructionName:
+                        // 工事名称
+                        SetConstruction(e.RowIndex);
+                        break;
+                    default:
+                        break;
+                }
+                DataGridView dgv = dgvAllDisplay;
+                dgv.EndEdit();
+
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region タブ変更時
+        /// <summary>
+        /// タブ変更時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void tabControl1_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            TabControl CurTab = (TabControl)sender;
+            switch (CurTab.SelectedIndex)
+            {
+                case 0:
+                    btnLineAdd.Visible = true;
+                    btnLineDel.Visible = true;
+                    break;
+                case 1:
+                    btnLineAdd.Visible = false;
+                    btnLineDel.Visible = false;
+                    break;
+            }
+        }
+        #endregion
+
+        #region 交通費グリッドセル入力前処理
+        /// <summary>
+        /// 交通費グリッドセル入力前処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvTransport_CellEnter(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
+                // データグリッドがActiveでなければ処理しない
+                if (ActiveControl == null) return;
+                if (!ActiveControl.GetType().Equals(typeof(DataGridViewEX))) return;
+
+                DataGridView dgv = (DataGridView)sender;
+
+                // 読込専用セルは処理しない
+                if (dgv.CurrentCell.ReadOnly) return;
+
+                //IMEのモードを変更する
+                dgv.ImeMode = ImeMode.Disable;
+
+                // セル内容選択
+                dgv.BeginEdit(true);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 交通費グリッドセル入力後処理
+        /// <summary>
+        /// 交通費グリッドセル入力後処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvTransport_CellValidated(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
+                DataGridView dgv = (DataGridView)sender;
+                DataGridViewRow CurRow = dgv.CurrentRow;
+                double StartDis = 0;
+                double CompDis = 0;
+                switch (e.ColumnIndex)
+                {
+                    case (int)GridColumn02.StartNumber:
+                    case (int)GridColumn02.CompNumber:
+                        // 走行距離
+                        StartDis = CommonMotions.cnvDouble(CurRow.Cells[(int)GridColumn02.StartNumber].Value);
+                        CompDis = CommonMotions.cnvDouble(CurRow.Cells[(int)GridColumn02.CompNumber].Value);
+                        CurRow.Cells[(int)GridColumn02.TotalDistance].Value = (CompDis - StartDis).ToString("0.0");
+                        break;
+                    default:
+                        break;
+                }
+                // 距離・回数再計算
+                SetDistanceAndcount();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 交通費グリッドセル値の変更
+        /// <summary>
+        /// 交通費グリッドセル値の変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvTransport_CellValueChanged(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                // 初期表示は処理しない
+                if (GetConstructionPersonCode() == 0) return;
+                
+                // 参照時は処理しない
+                if (m_EditLock) return;
+
+                // 距離・回数再計算
+                SetDistanceAndcount();
+                
+                m_bChengeAns = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 交通費グリッド状態が変わればコミットする
+        /// <summary>
+        /// 交通費グリッド状態が変わればコミットする
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvTransport_CurrentCellDirtyStateChanged(object sender, EventArgs e)
+        {
+            DataGridView dgv = (DataGridView)sender;
+            DataGridViewCell CurCell = dgv.CurrentCell;
+            switch (CurCell.ColumnIndex)
+            {
+                case (int)GridColumn02.OfficeGo:
+                case (int)GridColumn02.OfficeOut:
+                case (int)GridColumn02.TrancePayGo:
+                case (int)GridColumn02.TrancePayOut:
+                case (int)GridColumn02.WareHouse:
+                    //コミットする
+                    dgv.CommitEdit(DataGridViewDataErrorContexts.Commit);
+                    break;
+                default:
+                    break;
+            }
+        }
+        #endregion
+
+        #region 出勤管理状態を表示
+        /// <summary>
+        /// 出勤管理状態を表示
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnWorkingList_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                if (m_frmDRWorkList != null)
+                {
+                    m_frmDRWorkList.Activate();
+                    return;
+                }
+                // 人員数表示画面を表示
+                DispReportListControl();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 出勤管理状態をクローズ
+        /// <summary>
+        /// 出勤管理状態のクローズを取得する
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmDRWorkList_FormClosed(object sender, FormClosedEventArgs e)
+        {
+            try
+            {
+                this.Activate();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // ハンドルクリア
+                m_frmDRWorkList.Dispose(); m_frmDRWorkList = null;
+            }
+        }
+        #endregion
     }
 }
